#
# spec file for package talk (Version 0.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -nkitb
# usedforbuild    -nkitb aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         talk
Copyright:    BSD
Group:        Networking/Utilities
Provides:     nkitb:/usr/bin/talk
Autoreqprov:  on
Version:      0.17
Release:      99
Summary:      Talk client to chat with another user
BuildRoot:    /var/tmp/%{name}-build
Url:          ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/
Source:       netkit-ntalk-%{version}.tar.bz2
Patch:        netkit-ntalk-%{version}.dif

%description
This package contains the talk client, which allows you to chat
with another user on a different system. Talk is a communication
program which copies lines from one terminal to the terminal of
another user.

SuSE series: n

%package server
Version:      0.17
Release:      99
Summary:      Talk-Daemon to chat with another user
Group:        Networking/Daemons
Requires:     net-tools netcfg
Provides:     nkitserv:/usr/sbin/in.talkd
Autoreqprov:  on

%description server
This package contains the talk daemon, which allows you to chat
with another user on a different system. Talk is a communication
program which copies lines from one terminal to the terminal of
another user.

SuSE series: n

%prep
%setup -n netkit-ntalk-%{version}
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/{bin,sbin}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man{1,8}
make install INSTALLROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS ChangeLog
/usr/bin/talk
%doc %{_mandir}/man1/*

%files server
%defattr(-,root,root)
%doc BUGS ChangeLog
%doc %{_mandir}/man8/*
/usr/sbin/in.ntalkd
/usr/sbin/in.talkd

%changelog -n talk
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Mar 16 2001 - cihlar@suse.cz
- added Url
- claen up spec file
* Fri Mar 02 2001 - kukuk@suse.de
- Initial package, split from nkitb
